%global upname mistune

%global common_description %{expand:
The fastest markdown parser in pure Python, inspired by marked.}

Name:           python-mistune08
Version:        0.8.4
Release:    1%{?dist}
Summary:        Markdown parser for Python 

License:        BSD
URL:            https://github.com/lepture/mistune
Source0:        https://github.com/lepture/mistune/archive/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  gcc

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools

%description %{common_description}


%package -n python3-%{upname}08
Summary:        %{summary}
Conflicts:      python3-%{upname}
Provides:       deprecated()
%{?python_provide:%python_provide python3-%{upname}08}

%description -n python3-%{upname}08 %{common_description}


%prep
%setup -q -n %{upname}-%{version}


%build
%py3_build


%install
%py3_install

%py3_shebang_fix %{buildroot}%{python3_sitelib}
%{_fixperms} %{buildroot}/*


%check
%pytest


%files -n python3-%{upname}08
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{upname}.*
%{python3_sitelib}/%{upname}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/__pycache__/%{upname}*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.4-1
- initial build
